Agent Endpoint
List agent endpoints
Returns a paginated list of agent endpoints for the authenticated project.
GET
/
v1
/
agent
/
endpoint
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoints = await client.agentEndpoint.list();
console.log(agentEndpoints.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoints = client.agent_endpoint.list()
print(agent_endpoints.data)curl --request GET \
--url https://api.roark.ai/v1/agent/endpoint \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"environment": "<string>",
"outboundDialHttpRequestDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"pagination": {
"total": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of endpoints to return (default: 20, max: 50)
Required range:
1 <= x <= 50Cursor for pagination - endpoint ID to start after
Filter by agent ID
Search text to filter endpoints
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const agentEndpoints = await client.agentEndpoint.list();
console.log(agentEndpoints.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
agent_endpoints = client.agent_endpoint.list()
print(agent_endpoints.data)